#
# spec file for package uthash
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2012 Pascal Bleser <pascal.bleser@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           uthash
Version:        1.9.9
Release:        5.5
Summary:        Hash Table for C Structures
License:        BSD-3-Clause
Group:          Development/Libraries/C and C++
Url:            http://uthash.sourceforge.net/
Source:         https://github.com/troydhanson/uthash/archive/v%{version}.tar.gz
Patch1:         uthash-proceed_with_tests_without_prompt.patch
Patch2:         uthash-optflags.patch
BuildRequires:  pkgconfig
Provides:       uthash-devel = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Any C structure can be stored in a hash table using uthash. Just add a
UT_hash_handle to the structure and choose one or more fields in your structure
to act as the key. Then use these macros to store, retrieve or delete items
from the hash table.

%prep
%setup -q
%patch1
%patch2
chmod 644 LICENSE

%build

%install
install -d "%{buildroot}%{_includedir}"
cp -a src/*.h "%{buildroot}%{_includedir}/"

%check
pushd tests
OPTFLAGS="%{optflags}" \
./all_funcs
popd

%files
%defattr(-,root,root)
%doc LICENSE README.md
%{_includedir}/*.h

%changelog
* Thu Mar  5 2015 mpluskal@suse.com
- Update source url
- Update to 1.9.9
  * made HASH_ADD_STR compatible with char* or char[]
  * fixed header inclusion of sys/types.h for ssize_t
  * added LL_COUNT/DL_COUNT/CDL_COUNT
  * added LRU cache example in tests/lru_cache
  * fix LL_DELETE2 for VS2008
  * fix missing argument in HASH_REPLACE_STR
  * bump version number in source files to match docs
  * add HASH_OVERHEAD macro to get overhead size for hash table
- Changes for 1.9.8
  * HASH_REPLACE now in uthash
  * fixed clang warnings
  * fixed utarray_insert when inserting past array end
  * you can now find uthash on GitHub
  * there’s a uthash Google Group
  * uthash has been downloaded 29,000+ times since 2006 on
    SourceForge
- Changes for 1.9.7
  * utstring now supports substring search using utstring_find
  * utlist now supports element prepend and replace
  * utlist element prev/next fields can now have any names
  * uthash cast quiets a clang warning
  * uthash userguide example shows how to check key uniqueness
  * uthash HASH_MUR compiles under MSVC++ 10 in C mode
  * utstring_printf now supports format checking
* Tue Feb 28 2012 pascal.bleser@opensuse.org
- initial version (1.9.5)
